/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of GPIO demo for the
 *          TOSHIBA 'TMPM365' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* include file */
#include "tmpm365_gpio.h"
#include "led.h"
#define DELAY   0x3FFFFFU

/*************************************************************************
 * Function Name: main
 * Parameters:None
 *
 * Return:None  
 *
 * Description: the main function for demo GPIO
 *
 *************************************************************************/

int main(void)
{
    char LedData[] = { 0x01, 0x02, 0x04, 0x08, 0x10, 0x20, 0x40, 0x80 };
    uint32_t i;
    uint8_t j;
    uint8_t data;

    LED_Init();
    while (1) {
        for (j = 0U; j < 8U; ++j) {
            data = LedData[j];
            LED_On(data);
            for (i = 0U; i < DELAY; ++i) {
                /* Do nothing */
            }
        }
    }
}



#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
